> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# How to get (read) a row from a custom object

> How to get (read) a row from a custom object via the REST APIs.

## Request

<Tabs>
  <Tab title="HTTP RPC Agent">
    To get a row using the `DatabaseTable` agent, specify the `TableName` and `Id` as body parameters.

    ```http! theme={null}
    POST https://{{env}}.superoffice.com/{{tenant}}/api/v1/Agents/DatabaseTable/ReadRow HTTP/1.1
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    Content-Type: application/json
    {
        "TableName": "y_equipment",
        "Id": 1
    }
    ```

    For details, see the [DatabaseTable agent reference][1].
  </Tab>

  <Tab title="RESTful REST">
    To get a row using the `TableRecord` endpoint, specify the table name and row ID as query string parameters.

    ```http! theme={null}
    POST https://{{env}}.superoffice.com/{{tenant}}/api/v1/Table/y_equipment/1 HTTP/1.1
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    Content-Type: application/json
    ```

    For details, see the [Table REST endpoint reference][2].
  </Tab>
</Tabs>

### Response

```http_ theme={null}
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
  "Values": {
    "id": "[I:1]",
    "last_changed": "[DT:04/28/2024 20:28:37.0000000]",
    "dbi_agent_id": "[I:-1]",
    "dbi_key": "",
    "dbi_last_syncronized": "[DT:01/01/0001 00:00:00.0000000]",
    "dbi_last_modified": "[DT:04/28/2024 20:28:37.0000000]",
    "x_name": "computer",
    "x_company": "[I:1]",
    "x_company:DisplayText": "SuperOffice Software Limited"
  },
  "TableRight": null,
  "FieldProperties": {}
}
```

[1]: ../../../reference/restful/agent/DatabaseTable_Agent/v1DatabaseTableAgent_ReadRow

[2]: ../../../reference/restful/rest/TableRecord/v1TableRecord_ReadRow


## Related topics

- [How to update a row in a custom object](/en/api/web-services/howto/custom-objects/rest-delete-custom-object-row.md)
- [How to add a row to a custom object](/en/api/web-services/howto/custom-objects/rest-add-custom-object-row.md)
- [How to use custom objects to search for information](/en/api/web-services/howto/custom-objects/custom-objects-search.md)
- [Read Row](/en/api/reference/restful/rest/tablerecord/read-row.md)
